﻿/* Country dialer prefissi internazionali Style serve per la drop down list della pagina di registrazione dove l'utente seleziona il numero di telefono */

.selector {
    position: relative;    
    max-width: 90%;
}

.btnPrefix,
.btnPrefix:hover,
.btnPrefix:focus,
.btnPrefix:active,
.btnPrefix:visited {
    background-color: white !important;
    color: black !important;    
    /*box-shadow: none !important; /* rimuove bagliore/focus Bootstrap */
}


/*.btn {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px;
    border: 1px solid #ccd3e0;     
    cursor: pointer;
    font-size: 14px
}
*/
.flag {
    width: 20px;
    height: 15px;
    border-radius: 3px;
    object-fit: cover;
    flex: 0 0 auto;
   /* box-shadow: 0 0 0 1px rgba(0,0,0,.08) inset*/
}

.name {
    flex: 1;
    text-align: left;
    color: #858585 !important;
    text-shadow: none !important;
    max-width:60%;
}

.code {
    font-weight: 600;
    margin-left: 10px
}

.iso {
    font-size: 11px;
    opacity: .6;
    margin-left: 5px
}

.list {
    position: absolute;
    top: calc(100% + 6px);
    left: 0;
    right: 0;
    border: 1px solid #ccd3e0;    
    background: #fff;
    max-height: 360px;
    overflow: auto;
    display: none;
    z-index: 1000;
    /*box-shadow: 0 10px 25px rgba(0,0,0,.08)*/
}

.selector.open .list {
    display: block
}

.item {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 9px 12px;
    cursor: pointer
}

    .item:hover {
        background: #eef2ff
    }

.search {
    padding: 8px;
    border-bottom: 1px solid #eee;
    position: sticky;
    top: 0;
    background: #fff;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px
}

    .search input {
        width: 100%;
        padding: 7px 9px;
        border: 1px solid #ccc;
        border-radius: 8px
    }

.small-note {
    font-size: 12px;
    opacity: .7;
    margin-top: 10px
}
